<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div style="text-align:center">

<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function checkPass($user, $pass)
{
  $link = mysql_connect("localhost", "test", "test");
  $flag = mysql_select_db("test");

  if(!$link || !$flag){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }

  $query = "SELECT PASS FROM USERS WHERE NAME = '".$user."'";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych. Odrzucone zapytanie.");
    mysql_close($link);
    return false;
  }

  if(!$row = mysql_fetch_row($result)){
    mysql_close($link);
    return false;
  }

  if($row[0] != $pass){
    mysql_close($link);
    return false;
  }
  else{
    mysql_close($link);
    return true;
  }
}

if(!isSet($_POST["haslo"]) || !isSet($_POST["nazwa"])){
  include('form.inc');
}
else if(checkPass($_POST["nazwa"], $_POST["haslo"])){
  include('index.inc');
}
else{
  include('form.inc');
}
?>

</div>
</body>
</html>
